Skip to main content
POST
Create an asset service.

Authorizations

X-API-Key
string
header
required

Infrawatch API key. Supply the complete key directly as the header value.

Path Parameters

project_uuid
string<uuid>
required

Body

application/json
asset_uuid
string<uuid>
required
protocol
string
required
confidence
number
Required range: 0 <= x <= 1
discovery_channel
string
Maximum string length: 256
discovery_provider
string
Maximum string length: 256
endpoint
string
Maximum string length: 2048
first_seen_at
string<date-time>
hostname
string
Maximum string length: 256
http_status_code
integer
Required range: 100 <= x <= 599
http_title
string
Maximum string length: 256
ip
string
last_observed_at
string<date-time>
last_seen_at
string<date-time>
metadata
object
port
integer
Required range: 1 <= x <= 65535
product
string
Maximum string length: 256
service_key
string

Defaults to a transport/port/protocol/endpoint identity when omitted.

service_name
string
Maximum string length: 256
source_kind
enum<string>
Available options:
manual,
auto_discovered,
import,
api,
integration
source_name
string
Maximum string length: 256
source_ref
string
Maximum string length: 256
technologies
string[]
Maximum string length: 256
tls_certificate_asset_uuid
string<uuid>
tls_enabled
boolean
transport
enum<string>
Available options:
tcp,
udp
url
string
Maximum string length: 2048
version
string
Maximum string length: 256

Response

Asset service created.

service
object
required